use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct MyRequest {
    pub key: [u8; 32],
    pub body: Vec<u8>,
    pub sig: Vec<u8>, // FIXME :: fixed length array not supported by serde [u8; 64],
}

#[derive(Debug, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct MyResponse {
    // sig: [u8; 64],
    pub sig: Vec<u8>, // FIXME :: fixed length array not supported by serde [u8; 64],
}
